<?php

declare(strict_types=1);


final class MysqliResult
{
    /**
     * @var mysqli_result
     */
    private $result;

    /**
     * @var int
     */
    private $resultType;

    public function __construct(mysqli_result $result, int $resultType)
    {
        $this->result = $result;
        $this->resultType = $resultType;
    }

    public function getAll(): array
    {
        return $this->result->fetch_all($this->resultType);
    }

    public function getOne(): ?array
    {
        return $this->result->fetch_array($this->resultType);
    }

    public function __destruct()
    {
        $this->result->close();
    }
}
