<?php

/**
 * Class Sanitize
 */
class Sanitize implements ArrayAccess {

    static private $_instance = null;
    private $_container = array();

    private function __construct() {

    }

    public static function getInstance() {
        if (!(self::$_instance instanceof self)) {
            self::$_instance = new self();
            self::$_instance->init();
        }
        return self::$_instance;
    }

    public function init(){
        $this->_container = array(
            'adresse_id' => FILTER_SANITIZE_NUMBER_INT,
            'client_id' => FILTER_SANITIZE_NUMBER_INT,
            'civilite_id' => FILTER_SANITIZE_NUMBER_INT,
            'adresse_libelle' => FILTER_SANITIZE_STRING,
            'adresse_societe' => FILTER_SANITIZE_STRING,
            'adresse_nom' => FILTER_SANITIZE_STRING,
            'adresse_prenom' => FILTER_SANITIZE_STRING,
            'adresse_rue' => FILTER_SANITIZE_STRING,
            'adresse_rue2' => FILTER_SANITIZE_STRING,
            'adresse_cp' => FILTER_SANITIZE_STRING,
            'adresse_ville' => FILTER_SANITIZE_STRING,
            'adresse_etat' => FILTER_SANITIZE_STRING,
            'pays_id' => FILTER_SANITIZE_NUMBER_INT,
            'client_societe' => FILTER_SANITIZE_STRING,
            'client_nom' => FILTER_SANITIZE_STRING,
            'client_prenom' => FILTER_SANITIZE_STRING,
            'client_email' => FILTER_SANITIZE_EMAIL,
            'client_telephone' => FILTER_SANITIZE_STRING,
            'client_telephone_mobile' => FILTER_SANITIZE_STRING,
            'client_fax' => FILTER_SANITIZE_STRING,
            'commande_message' => FILTER_SANITIZE_STRING,
            'produit_ref' => FILTER_SANITIZE_STRING,
            'produit_nom' => FILTER_SANITIZE_STRING,
            'produit_option_valeur_nom' => FILTER_SANITIZE_STRING,
            'paiement_id' => FILTER_SANITIZE_NUMBER_INT,
            'produit_quantite' => FILTER_SANITIZE_NUMBER_INT,
            'produit_attribut_quantite' => FILTER_SANITIZE_NUMBER_INT,
            'newsletter_email' => FILTER_SANITIZE_EMAIL,
            'newsletter_nom' => FILTER_SANITIZE_STRING,
            'newsletter_prenom' => FILTER_SANITIZE_STRING,
            'recherche_motclef' => FILTER_SANITIZE_STRING,
            'motclef' => FILTER_SANITIZE_STRING,
        );
    }


    /**
     * (PHP 5 &gt;= 5.0.0)<br/>
     * Whether a offset exists
     * @link http://php.net/manual/en/arrayaccess.offsetexists.php
     * @param mixed $offset <p>
     * An offset to check for.
     * </p>
     * @return boolean true on success or false on failure.
     * </p>
     * <p>
     * The return value will be casted to boolean if non-boolean was returned.
     */
    public function offsetExists($offset)
    {
        return isset($this->_container[$offset]);
    }

    /**
     * (PHP 5 &gt;= 5.0.0)<br/>
     * Offset to retrieve
     * @link http://php.net/manual/en/arrayaccess.offsetget.php
     * @param mixed $offset <p>
     * The offset to retrieve.
     * </p>
     * @return mixed Can return all value types.
     */
    public function offsetGet($offset)
    {
        return isset($this->_container[$offset]) ? $this->_container[$offset] : null;
    }

    /**
     * (PHP 5 &gt;= 5.0.0)<br/>
     * Offset to set
     * @link http://php.net/manual/en/arrayaccess.offsetset.php
     * @param mixed $offset <p>
     * The offset to assign the value to.
     * </p>
     * @param mixed $value <p>
     * The value to set.
     * </p>
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->_container[] = $value;
        } else {
            $this->_container[$offset] = $value;
        }
    }

    /**
     * (PHP 5 &gt;= 5.0.0)<br/>
     * Offset to unset
     * @link http://php.net/manual/en/arrayaccess.offsetunset.php
     * @param mixed $offset <p>
     * The offset to unset.
     * </p>
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->_container[$offset]);
    }
}