<?php

namespace Shopbydedi\Shipping;

/**
 * Class Relay
 *
 * @property string $id
 * @property string $name
 * @property string $addr1
 * @property string $addr2
 * @property string $zipcode
 * @property string $city
 * @property string $country
 * @property string $latitude
 * @property string $longitude
 * @property array $horaires
 * @property int $distance
 */
class Relay
{
    /**
     * @var array
     */
    protected $properties = array();

    public function toArray()
    {
        return $this->properties;
    }

    public function __get($name)
    {
        if (array_key_exists($name, $this->properties)) {
            return $this->properties[$name];
        }
    }

    public function __set($name, $value)
    {
        $this->properties[$name] = $value;
    }

    public function __isset($name)
    {
        return !empty($this->properties[$name]);
    }
}