<?php

final class SqlQueryException extends LogicException implements SqlException
{
    /**
     * @var string
     */
    private $query;

    public function __construct(string $query, string $message = "", int $code = 0, Throwable $previous = null)
    {
        parent::__construct(sprintf("%s, query : %s", $message, $query), $code, $previous);
        $this->query = $query;
    }

    public function query(): string
    {
        return $this->query;
    }
}
