{extends file='layout/layout.tpl'}
{block name='content'}

    <div class="processPage">
        <div class="container">
            {* //NAV STEPS *}
            {if !empty($in_cart)}
                <div class="row hidden-xs">
                    <div class="col-sm-12">
                        {include file="order/nav.tpl" step=2}
                    </div>
                </div>

                {* NAV STEPS// *}
                <section class="processStep">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="stepTitle">
                                <h2 class="titleLvl2">{txt value="Mon panier" key="process_step_name_panier"}</h2>
                                <a href="{url page="panier"}" class="secondaryLink">{txt value="(Modifier)"}</a>
                                <p class="stepRecap price">{price ht=$montant.ht ttc=$montant.ttc}</p>
                            </div>
                        </div>
                    </div>
                </section>
            {/if}

            <section class="processStep">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="stepTitle">
                            <h2 class="titleLvl2">{txt value="Identification" key="process_step_name_identification"}</h2>
                        </div>
                    </div>
                    <div class="clear"></div>
                    <div class="col-lg-10 col-md-10 col-sm-12 col-xs-12 col-lg-offset-1 col-md-offset-1">
                        {if !empty($error)}{include file="form/flash.tpl" class="error" messages=$error}{/if}
                        <ul class="error" id="ajax_error" style="display: none">

                        </ul>
                        {if !empty($success)}{include file="form/flash.tpl" class="success" messages=$success}{/if}
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12 col-md-offset-1">
                        <div class="formBlock">
                            <h3 class="titleLvl4 uppercase">{txt value="Vous avez déjà un compte ?"}</h3>
                            {include file="form/login.tpl"}
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12 col-md-offset-2">
                        <div class="register-form-block">
                            <h3 class="titleLvl4 uppercase">{txt value="Vous êtes nouveau client ?"}</h3>
                            {if !empty($err)}<div class="message-erreur">{$err}</div><br />{/if}
                            <form method="post" id="form_inscription" name="register" action="{url page='inscription'}" class="formRegister">
                                <input type="hidden" name="register" value="1">

                                <div class="form-group wrapFloatLabel">
                                    <input type="email" name="client_email" id="fmail" autocapitalize="off" autocorrect="off" autocomplete="on" class="floatLabelInput" value="{if !empty($post.client_email)}{$post.client_email}{/if}">
                                    <label for="fmail" class="floatLabel"><span class="floatLabelContent">{txt value="Votre email"}* :</span></label>
                                </div>
                                {if empty($post.register)}
                                    <button type="button" class="btn btnMain wide" onclick="$('#form_register_wrap').collapse('show');$(this).hide();">
                                        {txt value="Créer un compte"}
                                    </button>
                                {/if}
                                <div {if empty($post.register)}class="collapse"{/if} id="form_register_wrap">
                                    {include file="form/register.tpl"}
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </section>

        </div>
    </div>
{/block}